      function stest(n)
	  s = 0
      do 10 i = 1, n
10    s = s + 0.000001
      stest = s
      return
	  end
	  
      s = stest(1000000)
      write(6,100) s 
100   format(f16.8)
      stop
      end